- Qt 6.10
- Qt PDF
- QML Types
- PdfLinkDelegate
- Qt 6.10.1 Reference Documentation

# PdfLinkDelegate QML Type

A component to decorate hyperlinks on a PDF page. More...

Import Statement: | `import QtQuick.Pdf`

- List of all members, including inherited members

## Signals

- contextMenuRequested(link)
- tapped(link)

## Detailed Description

PdfLinkDelegate provides the component that QML-based PDF viewers instantiate on top of each hyperlink that is found on each PDF page.

This component does not provide any visual decoration, because often the hyperlinks will already be formatted in a distinctive way; but when the mouse cursor hovers, it changes to Qt::PointingHandCursor, and a tooltip appears after a delay. Clicking emits the goToLocation() signal if the link is internal, or calls Qt.openUrlExternally() if the link contains a URL.

See also PdfPageView, PdfScrollablePageView, and PdfMultiPageView.

## Signal Documentation

contextMenuRequested(link)

Emitted on mouse right-click or touch long-press. The link argument is an instance of QPdfLink with information about the hyperlink.

Note: The corresponding handler is `onContextMenuRequested`.

tapped(link)

Emitted on mouse click or touch tap. The link argument is an instance of QPdfLink with information about the hyperlink.

Note: The corresponding handler is `onTapped`.